define(["require", "exports", "tslib", "react", "@uifabric/example-app-base", "./examples/ActivityItem.Basic.Example", "./examples/ActivityItem.Persona.Example", "./examples/ActivityItem.Compact.Example", "./examples/ActivityItem.Example.scss"], function (require, exports, tslib_1, React, example_app_base_1, ActivityItem_Basic_Example_1, ActivityItem_Persona_Example_1, ActivityItem_Compact_Example_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var ActivityItemBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/ActivityItem/examples/ActivityItem.Basic.Example.tsx');
    var ActivityItemPersonaExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/ActivityItem/examples/ActivityItem.Persona.Example.tsx');
    var ActivityItemCompactExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/ActivityItem/examples/ActivityItem.Compact.Example.tsx');
    var ActivityItemPage = /** @class */ (function (_super) {
        tslib_1.__extends(ActivityItemPage, _super);
        function ActivityItemPage() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        ActivityItemPage.prototype.render = function () {
            return (React.createElement(example_app_base_1.ComponentPage, { title: 'ActivityItem', componentName: 'ActivityItem', exampleCards: React.createElement("div", null,
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Activity Items with Icons', code: ActivityItemBasicExampleCode },
                        React.createElement(ActivityItem_Basic_Example_1.ActivityItemBasicExample, null)),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Activity Items with Personas', code: ActivityItemPersonaExampleCode },
                        React.createElement(ActivityItem_Persona_Example_1.ActivityItemPersonaExample, null)),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Compact Activity Items', code: ActivityItemCompactExampleCode },
                        React.createElement(ActivityItem_Compact_Example_1.ActivityItemCompactExample, null))), propertiesTables: React.createElement(example_app_base_1.PropertiesTableSet, { sources: [
                        require('!raw-loader!office-ui-fabric-react/src/components/ActivityItem/ActivityItem.Props.ts')
                    ] }), overview: React.createElement("div", null,
                    React.createElement("p", null, "ActivityItems represent individual units of a user's activity, such as making a comment, mentioning someone with an @mention, editing a document, or moving a file.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                    React.createElement("ul", null,
                        React.createElement("li", null, "Use a list of multiple ActivityItems to indicate a history of events relating to a single file, folder, user, or other entity. Alternatively, use a single ActivityItem to indicate the most recent event on an entity."),
                        React.createElement("li", null, "Group multiple similar events occuring near the same time into single ActivityItems."))), donts: React.createElement("div", null,
                    React.createElement("ul", null,
                        React.createElement("li", null, "Use ActivityItems to render large amounts of body text, they are meant to be concise descriptions of a specific activity."))), isHeaderVisible: this.props.isHeaderVisible }));
        };
        return ActivityItemPage;
    }(React.Component));
    exports.ActivityItemPage = ActivityItemPage;
});
//# sourceMappingURL=ActivityItemPage.js.map