/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { INav, INavProps } from './Nav.Props';
export declare function isRelativeUrl(url: string): boolean;
export interface INavState {
    isGroupCollapsed?: {
        [key: string]: boolean;
    };
    isLinkExpandStateChanged?: boolean;
    selectedKey?: string;
}
export declare class Nav extends BaseComponent<INavProps, INavState> implements INav {
    static defaultProps: INavProps;
    private _hasExpandButton;
    constructor(props: INavProps);
    componentWillReceiveProps(newProps: INavProps): void;
    render(): JSX.Element | null;
    readonly selectedKey: string | undefined;
    private _onRenderLink(link);
    private _renderNavLink(link, linkIndex, nestingLevel);
    private _renderCompositeLink(link, linkIndex, nestingLevel);
    private _renderLink(link, linkIndex, nestingLevel);
    private _renderLinks(links, nestingLevel);
    private _renderGroup(group, groupIndex);
    private _onGroupHeaderClicked(group, ev);
    private _onLinkExpandClicked(link, ev);
    private _onNavAnchorLinkClicked(link, ev);
    private _onNavButtonLinkClicked(link, ev);
    private _isLinkSelected(link);
}
